> For the complete documentation index, see [llms.txt](https://docs.validationcloud.io/v1/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.validationcloud.io/v1/tron/tron-full-node-http-api/trc10-token/transferasset.md).

# TransferAsset

Transfer TRC10 token.

This method will use `30` [Compute Units](/v1/about/billing.md).

***

## **Parameters**

* `owner_address` - String - the owner address, converted to a hex string
* `to_address` - String - Receiving address, converted to a hex string
* `asset_name` - String - Token id, default hexString
* `amount` - int64 - Amount is the transfer amount, the unit is sun
* `Permission_id` - int32 - Optional, for multi-signature use
* `visible` - Boolean - Optional. Specifies whether the address is in Base58 format (default: false)
* `extra_data` - String - Optional, any extra data to be included in the transaction, HEX format

## **Returns**

Transaction object - JSON object: Unsigned transaction, please refer to the [Transaction](https://developers.tron.network/docs/tron-protocol-transaction) chapter for the fields contained in it. Since the transaction type is `TransferAssetContract`, the fields contained in `raw_data.contract[0].parameter.value` in the transaction are as follows:

| Field          | Type   | Description                      |
| -------------- | ------ | -------------------------------- |
| owner\_address | string | Account address                  |
| asset\_name    | string | The token id to transfer         |
| to\_address    | string | The target address to transfer   |
| amount         | int64  | The amount of token to transfer. |

```json
// Result
{}
```

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.tron.validationcloud.io/v1/<YOUR_API_KEY_HERE>/wallet/transferasset \
    -X POST \
    -H "Content-Type: application/json" \
    -d '
{
  "owner_address": "TZ4UXDV5ZhNW7fb2AMSbgfAEZ7hWsnYS2g",
  "to_address": "TPswDDCAWhJAZGdHPidFg5nEf8TkNToDX1",
  "asset_name": "31303030303031",
  "amount": null,
  "visible": true
}
'
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.validationcloud.io/v1/tron/tron-full-node-http-api/trc10-token/transferasset.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
